LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XArrayTypeDescription Interface Referencepublished

Deprecated, UNOIDL does not have an array concept. More...

`import"XArrayTypeDescription.idl";`

Inheritance diagram for XArrayTypeDescription:

## Public Member Functions
com::sun::star::reflection::XTypeDescription | getType ()
| Returns the element type of the array. More...
long | getNumberOfDimensions ()
| Returns the number of dimensions of the array. More...
sequence< long > | getDimensions ()
| Returns dimensions of array (same length as getNumberOfDimensions()). More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated, UNOIDL does not have an array concept.

Deprecated:

## Member Function Documentation

## ◆ getDimensions()

sequence< long > getDimensions | ( |  | ) |

Returns dimensions of array (same length as getNumberOfDimensions()).

Returns
  dimensions of array

## ◆ getNumberOfDimensions()

long getNumberOfDimensions | ( |  | ) |

Returns the number of dimensions of the array.

Returns
  dimension of the array

## ◆ getType()

com::sun::star::reflection::XTypeDescription getType | ( |  | ) |

Returns the element type of the array.

Returns
  element type of the array

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XArrayTypeDescription.idl